Bug 336561 - gfs2_tool accepts jdata flag; man page says no
gfs2_tool accepts jdata flag; man page says no
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
GFS Bugs
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2007-10-17 15:01 EDT by Steven J. Levine
Modified: 2010-01-11 22:40 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0350
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 13:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix the problem (1.76 KB, patch)
2007-11-07 16:13 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steven J. Levine 2007-10-17 15:01:07 EDT
Description of problem:
The man page for the gfs2_tool command notes that the jdata and inherit_jdata
flags are now set with chattr. Just as described, the gfs2_tool setflag
command no longer accepts the inherit_jdata option. However, it does
accept the jdata option, and even seems to set the jdata flag just fine.

It seems as though the jdata flag should no longer be valid at all for the
gfs2_tool setflag command, just as the man page says.

Version-Release number of selected component (if applicable):

How reproducible:

Execute gfs2_tool setflag jdata on a file. This will yield no error message.

Execute lsattr on that file. This will show that the flag has been set.

[root@dash-01 mygfs2fs]# gfs2_tool setflag jdata /mygfs2fs/data
[root@dash-01 mygfs2fs]# lsattr data
---------j--- data/foo

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Robert Peterson 2007-11-07 14:09:35 EST
I've got a replacement man page that explains this better.
Requesting ack flags for inclusion in RHEL5.2.
Comment 2 RHEL Product and Program Management 2007-11-07 14:15:07 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Robert Peterson 2007-11-07 16:13:00 EST
Created attachment 250851 [details]
patch to fix the problem
Comment 4 Robert Peterson 2007-11-07 16:16:06 EST
Updated man page committed to cvs at HEAD and RHEL5 branches for
inclusion in RHEL5.2.  Changing status to Modified.
Comment 8 errata-xmlrpc 2008-05-21 13:20:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.